Skip to content

API Reference

Add company information

POST /v1/business/company_info https://api.cable.tech

Business endpoint for adding new company information

Authentication

  • API key in the x-api-key header

Request body

application/json list of objects required

Request body for adding information about companies

  • id string required

    Unique external identifier of the company entity, ID stored in your database / back-office

    Limits min length 1

  • timestamp string required

    Original timestamp relating to when this company’s information was received

    Format date-time

  • is_test_company boolean required

    If the company is a test company, this should be set to true

    Default false

  • data object required
    • legal_name string

      Legal name of the business

      Example Cable Technology Ltd

    • trading_name string

      Trading name of the business

      Example Cable Tech

    • email string

      Main contact email for the company

      Example [email protected]

    • addresses list of objects

      Limits min items 1

      • type string

        Type of address. eg. Registered, Trading, Legal

      • address object

        Legal/contact address for the entity

        • lines list of strings

          Limits min items 1

          Example 160 Kemp House, City Road

        • city string

          Example London

        • state string

          Example New York

        • county string

          Example Buckinghamshire

        • postal_code string

          Example EC1V 2NX

        • country string

          Example France

    • phone_number string

      Main contact telephone number for the company

      Example +441234567899

    • type string

      Business entity type. eg. Sole Trader, Limited Company

      Example Limited Company

    • registration_number object
      • type string required

        Type of registration number, e.g. Companies House number (UK), EIN number (US) etc.

        Limits min length 1

        Example CH_number

      • value string required

        The registration number

        Limits min length 1

    • incorporation_date string

      Date when the company was incorporated

      Format date

      Example 2020-07-21

    • incorporation_country string

      2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)

      Limits min length 2max length 3

      Example GBR

    • incorporation_state string

      State where the company was incorporated (US only)

      Limits min length 2

      Example California

    • primary_operation_country string

      2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)

      Limits min length 2max length 3

      Example GBR

    • industry string

      Nature of business

      Example Other information technology service activities

    • industry_classification object
      • code_type string required

        Type of industry classification code

        Limits min length 1

      • code list of strings required

        Industry classification codes

        Limits min length 1min items 1

      • description string

        Description of the industry classification code

        Limits min length 1

    • source_of_wealth string

      Source of wealth of the company

      Limits min length 1

    • source_of_funds string

      Source of initial deposit of the company

      Limits min length 1

    • first_transaction_completed_at string

      Original timestamp of when the person completed their first transaction

      Format date-time

    • product_type string

      Limits min length 1

    • registered_as_inactive boolean

      If the company is registered as inactive, this should be set to true

      Example false

    • custom object

      Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

  • parent object
    • id string required

      Unique external identifier of the parent entity, ID stored in your database / back-office

      Limits min length 1

    • type string required

      Type of the parent entity

      Allowed values companyperson

Responses

200 Operation success

  • success boolean required

    You probably did something wrong if you set this to false

    Default true

Errors

  • default Operation error

Error body default

  • code string required
  • message string required
  • data object